;(function () {
    /**
     *
     * SE位相指定プラグイン
     *
     */

    /**
     * タグ定義
     */

    /**
     * 位相指定ありSE再生
     */
    const _playse = TYRANO.kag.tag.playse
    TYRANO.kag.tag.playse_pos = $.extend(true, {}, _playse, {
        start(pm) {
            if (pm.x === undefined) {
                pm.x = 0
            }
            _playse.start.apply(this, arguments)
            const audio_obj = this.kag.tmp.map_se[pm.buf]
            audio_obj.stereo(parseFloat(pm.x))
        },
    })
    TYRANO.kag.ftag.master_tag.playse_pos = TYRANO.kag.tag.playse_pos
    TYRANO.kag.ftag.master_tag.playse_pos.kag = TYRANO.kag

    /**
     * 位相指定ありSE設定変更
     */
    const _seopt = TYRANO.kag.tag.seopt
    TYRANO.kag.tag.seopt_pos = $.extend(true, {}, _seopt, {
        start(pm) {
            if (pm.x === undefined) {
                pm.x = 0
            }
            _seopt.start.apply(this, arguments)
            const audio_obj = this.kag.tmp.map_se[pm.buf]
            audio_obj.stereo(parseFloat(pm.x))
        },
    })
    TYRANO.kag.ftag.master_tag.seopt_pos = TYRANO.kag.tag.seopt_pos
    TYRANO.kag.ftag.master_tag.seopt_pos.kag = TYRANO.kag
})()
